summaryrefslogtreecommitdiff
path: root/lfq
diff options
context:
space:
mode:
authorJohn Ankarström <john@ankarstrom.se>2020-11-24 03:08:20 +0100
committerJohn Ankarström <john@ankarstrom.se>2020-11-24 03:09:34 +0100
commitdc4a6f87347440e310b739465ec6e2397c742af0 (patch)
tree8f1fbcb20282f880abe46d2c851454900154e30b /lfq
parent6874c634cbca5761a6a8630f07675852f7efba31 (diff)
downloadmsc-dc4a6f87347440e310b739465ec6e2397c742af0.tar.gz
Move dz/*, lf/* into root directory
They are differentiated by the dz/lf prefix anyway.
Diffstat (limited to 'lfq')
-rwxr-xr-xlfq38
1 files changed, 38 insertions, 0 deletions
diff --git a/lfq b/lfq
new file mode 100755
index 0000000..81dbfb1
--- /dev/null
+++ b/lfq
@@ -0,0 +1,38 @@
+#!/bin/sh
+
+# Search for track(s) on Last.fm, retrieve URL(s)
+
+usage() { echo usage: $0 [-m max] base-url 1>&2; exit 1; }
+
+# Parse options
+m=10
+while getopts m: o
+do
+ case $o in
+ m) m=$OPTARG ;; # max
+ ?) usage
+ esac
+done
+shift $((OPTIND-1))
+q=$1
+
+m=$((m+0))
+test $m -lt 1 && m=10
+
+# Retrieve search results
+curl -s -G --data-urlencode "q=$q" 'https://www.last.fm/search/tracks' |
+sed '/^[ ]*$/d' |
+awk -F \" '
+ /class="chartlist-name"/ {
+ getline;
+ getline;
+ getline;
+ getline;
+ getline;
+ getline;
+ print $2;
+ i++;
+ if (i > '"$((m-1))"') exit;
+ }
+' |
+sed 's,^,https://www.last.fm,'